SORU
7 Mart 2011, PAZARTESİ


Pip ile yükleme özel paket sürümleri

MySQL_python adaptörü sürüm 1.2.2 yüklemeye çalışıyorum. Geçerli sürüm PyPi gösterilen 1.2.3. Bir şekilde eski sürümü yüklemek için var mı? Bir makalede, bunu yapmak gerektiğini belirten buldum:

pip install MySQL_python==1.2.2

Yüklendiğinde, ancak, yine de MySQL_python-1.2.3-py2 gösterir.6.yumurta-bilgi sitesi paketleri. Bu bir sorun, bu pakete özeldir, ya da yanlış bir şey mi yapıyorum?

CEVAP
7 Mart 2011, PAZARTESİ


Öncelikle yapmaya çalıştığın şey ile iki konu görüyorum. Zaten yüklü bir sürümü beri geçerli olan sürücüsünü kaldırın ya da pip install -I MySQL_python==1.2.2 kullanmalısınız

Ancak, yakında bu işe yaramadığını göreceksiniz. Eğer pip yükleme günlüğüne bakarsanız, ya da eğer pip install -Iv MySQL_python==1.2.2 Eğer PyPİ URL bağlantısını MySQL_python v1 için çalışmıyor.2.2. Bunu burada kontrol edebilirsiniz: http://pypi.python.org/pypi/MySQL-python/1.2.2

İndirme linki 404'ler ve geri dönüş URL bağlantıları yeniden yönlendirmek sonsuz sourceforge.net nedeniyle'nın son yükseltme ve PyPİ kalan bayat URL.

Çok doğru sürücüyü yüklemek için, aşağıdaki adımları takip edebilirsiniz:

pip uninstall MySQL_python
pip install -Iv http://sourceforge.net/projects/mysql-python/files/mysql-python/1.2.2/MySQL-python-1.2.2.tar.gz/download

Bunu Paylaş:
  • Google+
  • E-Posta
Etiketler:

YORUMLAR

SPONSOR VİDEO

Rastgele Yazarlar

  • Awesomesauce Network

    Awesomesauce

    4 EKİM 2012
  • H3Ctic (old channel)

    H3Ctic (old

    23 Mart 2011
  • SVB International

    SVB Internat

    29 EKİM 2011